geldkarte(1)

NAME

geldkarte - A tool to read information from a GeldKarte

SYNOPSIS
geldkarte COMMAND [-C configfile] [--logfile file] [--logtype type] [--loglevel level]

DESCRIPTION

The geldkarte lets you inspect your Geldkarte (a German system for 'plastic small change') chipcard. It comes with the libchipcard library.

COMMANDS
 The parameter COMMAND can be one of the following three. Invoking without a COMMAND parameter displays instructions.

loaded
    show amount of money stored on the card

maxload
    show amount of money which can be stored on the card

maxxfer
    show amount of money which can be transferred in one setting

OPTIONS

-C configfile
    Uses the given configuration file. If omitted the file /usr/local/etc/chipcardd.conf is used.

--logfile logfile
    Use the given file to store the log messages. It defaults to /usr/local/var/log/chipcardd.log. This only applies if the logtype is file (see below).

--logtype logtype
    Use the given log type. Currently the following logtypes are supported: stderr, file. Default is stderr.

--loglevel loglevel
    Sets the loglevel. Valid levels are: emergency, alert, critical, error, warning, notice, info, and debug. Default is warning.

FILES

/usr/local/etc/chipcardd.conf

ENVIRONMENT VARIABLES

geldkarte does not use any environment variables

AUTHORS

Martin Preuss <martin@libchipcard.de>

SEE ALSO

libchipcard.conf(5) chipcardc.conf(5)